Cassandraのビルド方法

Current Trunkバージョン

必要なツール:

ツール

バージョン

Java SDK

1.6 (最新版が望ましい)

ANT

少なくともversion 1.8以降

TrunkのCassandraの最新版をSubversionからビルドするには:

svn co http://svn.apache.org/repos/asf/cassandra/trunk cassandra-trunk
cd cassandra-trunk
# Internetに直接接続している場合
ant
# Proxy経由で接続している場合
ant -autoproxy

0.7 系列

必要なツール:

ツール

バージョン

Java SDK

1.6 (最新版が望ましい)

ANT

少なくともversion 1.8以降

0.7系列の最新版のCassandraをSubversionからビルドするには:

svn co http://svn.apache.org/repos/asf/cassandra/branches/cassandra-0.7
cd cassandra-0.7
# Internetに直接接続している場合
ant
# Proxy経由で接続している場合
ant -autoproxy

0.6 系列

必要なツール:

ツール

バージョン

Java SDK

1.6 (最新版が望ましい)

ANT

少なくともversion 1.8以降

0.6系列の最新版のCassandraをSubversionからビルドするには:

svn co http://svn.apache.org/repos/asf/cassandra/branches/cassandra-0.6
cd cassandra-0.6
# Internetに直接接続している場合
ant
# Proxy経由で接続している場合
ant -autoproxy

より旧いバージョンについて

現在ドキュメント化されていません。自由に追加してください。

トラブルシューティング

もし上記の手順でうまくいかなかったら、次の事を確認してください:

  1. ANTのバージョンは必要条件以上ですか?
  2. 実際に使用してるJavaのバージョンを確認しましたか?H
  3. Intenet接続していますか?ビルドプロセスはMaven ANT Tasks (旧いビルドでは Ivy)をダウンロードします。また、依存関係のあるすべてのソフトウェアをダウンロードします。Internet接続がなかったり、ANTがあなたのproxy設定を検出できないとビルドは失敗するでしょう。

stats

HowToBuild_JP (last edited 2013-11-14 20:17:54 by GehrigKunz)